GNU bug report logs - #35130
27.0.50; gnus cannot save

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: James Cloos <cloos@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 35130 <at> debbugs.gnu.org and James Cloos <cloos@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 27 Sep 2019 15:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 11:01:05 2019
Received: from localhost ([127.0.0.1]:48385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDrk0-0007DA-Kc
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:01:05 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDrjy-0007Ab-89
 for 35130 <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:01:02 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDrjs-0002m4-PO; Fri, 27 Sep 2019 17:01:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
 <m3wojbw1d5.fsf@HIDDEN>
 <87ef5jvzwp.fsf@HIDDEN>
 <m3lfzqw7a5.fsf@HIDDEN>
 <87ef5f71kd.fsf@HIDDEN> <m37e9deqk1.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 17:00:56 +0200
In-Reply-To: <m37e9deqk1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 22 Jun 2019 14:46:06 +0200")
Message-ID: <87pnjllr6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Eric Abrahamsen
 <eric@HIDDEN> writes: > >> Yes, I wasn't saying this wasn't a
 bug, I was trying to figure out >> exactly what was going on. Would you try
 the attached patch and see if >> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org, James Cloos <cloos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> Yes, I wasn't saying this wasn't a bug, I was trying to figure out
>> exactly what was going on. Would you try the attached patch and see if
>> it fixes the problem?
>
> James, did you try the patch and did it fix the sorting-new-imap-groups
> problem?

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 22 Jun 2019 12:46:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 22 08:46:11 2019
Received: from localhost ([127.0.0.1]:51152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hefPH-0002Vl-Hc
	for submit <at> debbugs.gnu.org; Sat, 22 Jun 2019 08:46:11 -0400
Received: from quimby.gnus.org ([80.91.231.51]:39482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hefPF-0002TS-Ek
 for 35130 <at> debbugs.gnu.org; Sat, 22 Jun 2019 08:46:10 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hefPC-0005xG-5H; Sat, 22 Jun 2019 14:46:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
 <m3wojbw1d5.fsf@HIDDEN>
 <87ef5jvzwp.fsf@HIDDEN>
 <m3lfzqw7a5.fsf@HIDDEN>
 <87ef5f71kd.fsf@HIDDEN>
Date: Sat, 22 Jun 2019 14:46:06 +0200
In-Reply-To: <87ef5f71kd.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 03 May 2019 12:58:10 -0700")
Message-ID: <m37e9deqk1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eric Abrahamsen <eric@HIDDEN> writes: > Yes, I
 wasn't saying this wasn't a bug, I was trying to figure out > exactly what
 was going on. Would you try the attached patch and see if > it fixes the
 problem? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org, James Cloos <cloos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> Yes, I wasn't saying this wasn't a bug, I was trying to figure out
> exactly what was going on. Would you try the attached patch and see if
> it fixes the problem?

James, did you try the patch and did it fix the sorting-new-imap-groups
problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 3 May 2019 19:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 03 15:58:22 2019
Received: from localhost ([127.0.0.1]:49720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMeK6-0003Xq-Ev
	for submit <at> debbugs.gnu.org; Fri, 03 May 2019 15:58:22 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:56462
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hMeK2-0003XY-JG
 for 35130 <at> debbugs.gnu.org; Fri, 03 May 2019 15:58:19 -0400
Received: from localhost (50-251-205-17-static.hfc.comcastbusiness.net
 [50.251.205.17]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id CFAE4FA027;
 Fri,  3 May 2019 19:58:11 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
 <m3wojbw1d5.fsf@HIDDEN>
 <87ef5jvzwp.fsf@HIDDEN>
 <m3lfzqw7a5.fsf@HIDDEN>
Date: Fri, 03 May 2019 12:58:10 -0700
In-Reply-To: <m3lfzqw7a5.fsf@HIDDEN> (James Cloos's message of
 "Wed, 01 May 2019 10:58:42 -0400")
Message-ID: <87ef5f71kd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


On 05/01/19 10:58 AM, James Cloos wrote:
>>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
>
> EA> Well, I typed that sequence, and nothing special happened. I saw several
> EA> groups I hadn't looked at in a decade or so, caught them up, and nothing
> EA> happened after that. I'm not sure what I was supposed to see...
>
> Perhaps it is specific to nnimap?
>
> In any case, it is a regression.  And a bug.
>
> The new groups were always sorted alphabetically by name when they were added.
> You changes should not break that.
>
> Out of order makes it vastly more difficult to set them all to their new
> levels.

Yes, I wasn't saying this wasn't a bug, I was trying to figure out
exactly what was going on. Would you try the attached patch and see if
it fixes the problem?

Eric



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gnus-subscribe-alpha.diff

diff --git a/lisp/gnus/gnus-start.el b/lisp/gnus/gnus-start.el
index 2f8a260bf1..17ee4357e8 100644
--- a/lisp/gnus/gnus-start.el
+++ b/lisp/gnus/gnus-start.el
@@ -583,11 +583,11 @@ gnus-subscribe-randomly
 
 (defun gnus-subscribe-alphabetically (newgroup)
   "Subscribe new NEWGROUP and insert it in alphabetical order."
-  (let ((groups (cdr gnus-newsrc-alist))
+  (let ((groups (cdr gnus-group-list))
 	before)
     (while (and (not before) groups)
-      (if (string< newgroup (caar groups))
-	  (setq before (caar groups))
+      (if (string< newgroup (car groups))
+	  (setq before (car groups))
 	(setq groups (cdr groups))))
     (gnus-subscribe-newsgroup newgroup before)))
 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 1 May 2019 14:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 01 10:58:53 2019
Received: from localhost ([127.0.0.1]:44592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLqhB-0004zv-68
	for submit <at> debbugs.gnu.org; Wed, 01 May 2019 10:58:53 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hLqh8-0004zk-JL
 for 35130 <at> debbugs.gnu.org; Wed, 01 May 2019 10:58:51 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id D35A01E157; Wed,  1 May 2019 14:58:48 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1556722728;
 bh=M1LTKZozZ/IXWXT3gUhfnGQKIP7FqegEnBRigE9iiTY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=bwDih/AypuDbn5ZU6YfnflMLl+5oeOGQXy/FOcpfHmkebEWD0raXk7Ep/HIBPDkrE
 4fpnKH7bOUHNzuzvVzI151d7vFgn+iSi4trdtmcnskuIa1rCWkttmfuUwG2zrUNp+8
 bBnPwQS8iNDVb8+LO0jjhXpDf8RZweRRrJZN16bcPfCO8ah6/J6wQEVePec5cs54dp
 gwlle+wlg6JVjIB5eUHSId/e6EZAdkDQpD1cIbWeGWVEozmv81OsfXKBGaSLgWrR0Q
 t6VMCPEcx3l8kbivFDNV3LYZcaWNgQTFS8X1A6yDZlv7Wau1W6lqeCYgQSEsPezCr7
 ME5GyhIw38rkQ==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 5720F24F75; Wed,  1 May 2019 14:58:42 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87ef5jvzwp.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 30 Apr 2019 16:25:42 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
 <m3wojbw1d5.fsf@HIDDEN>
 <87ef5jvzwp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Wed, 01 May 2019 10:58:42 -0400
Message-ID: <m3lfzqw7a5.fsf@HIDDEN>
Lines: 23
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

EA> Well, I typed that sequence, and nothing special happened. I saw several
EA> groups I hadn't looked at in a decade or so, caught them up, and nothing
EA> happened after that. I'm not sure what I was supposed to see...

Perhaps it is specific to nnimap?

In any case, it is a regression.  And a bug.

The new groups were always sorted alphabetically by name when they were added.
You changes should not break that.

Out of order makes it vastly more difficult to set them all to their new
levels.

(Each mailing list is its own group; things like general bug and commit
lists are separated per component. That makes it easy to read and ignore
what is interesting or not.)

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 23:53:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 19:53:11 2019
Received: from localhost ([127.0.0.1]:42801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLcYf-0008Lm-Aq
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:53:11 -0400
Received: from mail-ed1-f42.google.com ([209.85.208.42]:38223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hLcYd-0008LJ-4c
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:53:07 -0400
Received: by mail-ed1-f42.google.com with SMTP id w11so7061984edl.5
 for <35130 <at> debbugs.gnu.org>; Tue, 30 Apr 2019 16:53:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=uRMfMWJlcvASU9kp0ECZRlUHxYRV/7/itTKrOEbbWbw=;
 b=DLWTY98loByz1EpOURDdmW8jg5y+OXhKd4eS5aVioEXVH5193LaeMHThrszVD6R3CS
 Df+fiX5AoFs5DA4emnhpUzLmCbCB/850WCiiKt7CvwPTGvvxyYfEGxuiHXaTDK6UFyYW
 uTTQvwfe3petC7l0AwUhPTj1affBjP27ySZ5gD8fcHrjTgPj+KNTbsPJ2Nb1OYSvBt3U
 ReBrL+IG/6L6b+gDHEw2se+/hH/F/FFXDNAurUnDdlAByqvgKCU/p6lmB+zB2Fwfs9QX
 ZTpZ4fWmcDVQwY6FxlSGwdKf2XksHXNo2k0vgSOODUcskjr1jq/kVV1xoAt2o+wgvzlb
 evvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=uRMfMWJlcvASU9kp0ECZRlUHxYRV/7/itTKrOEbbWbw=;
 b=tkmo3nR2ebFT9EOMcaq5t9X7m9ZT4tzaiN0GyB1FawJJmV0TmE0H2Hiu4DXW9tHq5o
 mFNFhbbP96LE/X6bMwuQSU+3LTIM5aWOKe/JqWgyehDwy81sIZZ2ylDj5XHdcmQKAX78
 KnkUB5t64sXQVEftS2tAtzr2G226Wm/8YS4atQlW713AJpw2lkKaw/rdzh6D7smTYjn/
 2NsV01+JMS47Tt4TnGBODfNVY9xbDJchXz85eIOGVk0y1yhUtx5dRs6oprxJQ6E3ceEZ
 juufllT1eRTmzDe/IIQZdlstahTnU4ZlHDoBLQx0yzk6GOJDteQO2Deob7WNiuo8Knt6
 E2XQ==
X-Gm-Message-State: APjAAAW+3bwHjLlAhWA0reZNOCGDBYcAVlWkOBHFvBDim9ctLzaZwoH9
 ZCY+254xSpEQf25An3UDQvlXIg==
X-Google-Smtp-Source: APXvYqxyeUipSHZatIFL7IiHUaB9h8KgYSX03pwMZGisLjQ1ciSoTV/C0MCnqwvo97WMMd2vd2dyeA==
X-Received: by 2002:a50:896b:: with SMTP id f40mr22558641edf.152.1556668381240; 
 Tue, 30 Apr 2019 16:53:01 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id k18sm549328eda.92.2019.04.30.16.53.00
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 30 Apr 2019 16:53:00 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <m336lzxk57.fsf@HIDDEN>
 <877ebbxjlo.fsf@HIDDEN>
 <m3r29jw1ab.fsf@HIDDEN>
 <87imuvw08s.fsf@HIDDEN>
Date: Wed, 01 May 2019 00:52:59 +0100
In-Reply-To: <87imuvw08s.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 30 Apr 2019 16:18:27 -0700")
Message-ID: <87v9yvyrs4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> You find the location of `gnus-group-prepare-flat' by running "C-h f",
> entering that function name, and hitting "RET". The resulting *Help*
> buffer will have a hyperlink to the "gnus-group.el" file -- follow that
> hyperlink.

FWIW, this can also be achieved via M-x find-function RET
gnus-group-prepare-flat RET in general, though in this case Gnus must
first be loaded before this will work.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Apr 2019 23:29:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 19:29:06 2019
Received: from localhost ([127.0.0.1]:42777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLcBN-0007lf-QO
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:29:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hLcBM-0007l9-Mr
 for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:29:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:41909)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hLcBG-0006Bd-Sd
 for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:28:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34348)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hLcBF-0002k5-Q3
 for bug-gnu-emacs@HIDDEN; Tue, 30 Apr 2019 19:28:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.6 required=5.0 tests=BAYES_50,RDNS_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hLc1G-0002lj-55
 for bug-gnu-emacs@HIDDEN; Tue, 30 Apr 2019 19:18:39 -0400
Received: from [195.159.176.226] (port=34634 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hLc1F-0002km-Uo
 for bug-gnu-emacs@HIDDEN; Tue, 30 Apr 2019 19:18:38 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hLc1D-0005bQ-2H
 for bug-gnu-emacs@HIDDEN; Wed, 01 May 2019 01:18:35 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
Date: Tue, 30 Apr 2019 16:18:27 -0700
Message-ID: <87imuvw08s.fsf@HIDDEN>
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <m336lzxk57.fsf@HIDDEN>
 <877ebbxjlo.fsf@HIDDEN>
 <m3r29jw1ab.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:k6MRXK04cwPKmy/6TMotiIKfoC0=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

James Cloos <cloos@HIDDEN> writes:

>>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
>
> EA> Are you doing this with topic mode on or off?
>
> Off
>
>
> EA> ... could you edebug `gnus-group-prepare-flat' and see if anything
> EA> is obviously taking a bunch of time?
>
> I've not used edebug.  And nothing I tried at M-x did anything.
>
> How does one edebug gnus-group-prepare-flat?

You find the location of `gnus-group-prepare-flat' by running "C-h f",
entering that function name, and hitting "RET". The resulting *Help*
buffer will have a hyperlink to the "gnus-group.el" file -- follow that
hyperlink. Once you've got the source file open and point is somewhere
within the definition of `gnus-group-prepare-flat', hit "C-u C-M-x" to
edebug the function. Now when you go back to Gnus's *Group* buffer and
try re-sorting, Emacs should jump you into `gnus-group-prepare-flat',
and you can "step" through that function using the space bar. You'll see
variable values displayed in the message area, and you can also hit "e"
and type in expressions to see their value.

Hopefully you will see something suspicious that will lead to our
solution.

Eric





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 23:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 19:25:56 2019
Received: from localhost ([127.0.0.1]:42772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLc8K-0007gx-BR
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:25:56 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:57132
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hLc8I-0007gk-56
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 19:25:54 -0400
Received: from localhost (50-251-205-17-static.hfc.comcastbusiness.net
 [50.251.205.17]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 09361FA026;
 Tue, 30 Apr 2019 23:25:47 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
 <m3wojbw1d5.fsf@HIDDEN>
Date: Tue, 30 Apr 2019 16:25:42 -0700
In-Reply-To: <m3wojbw1d5.fsf@HIDDEN> (James Cloos's message of
 "Tue, 30 Apr 2019 18:54:14 -0400")
Message-ID: <87ef5jvzwp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On 04/30/19 18:54 PM, James Cloos wrote:
>>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
>
>>> (fset 'gnus-group-get-new-groups
>>> "1LFs1g1Ls")
>>> 
>>> (I never got around to replacing the saved keyboard macro with proper lisp.)
>
> EA> Hang on, what is that supposed to do? That symbol has neither a function
> EA> nor a variable definition for me here, on master.
>
> Sorry.  I though that was enough to show that it is a named keyboard macro.
>
> Just type those characters at the *Group* buffer.

Well, I typed that sequence, and nothing special happened. I saw several
groups I hadn't looked at in a decade or so, caught them up, and nothing
happened after that. I'm not sure what I was supposed to see...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 22:56:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 18:56:06 2019
Received: from localhost ([127.0.0.1]:42749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLbfR-0006zF-TL
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 18:56:06 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hLbfP-0006z6-6Y
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 18:56:03 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id C082C1E18C; Tue, 30 Apr 2019 22:56:02 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1556664962;
 bh=/1qW7qt0pYYkQdtrgtooDA89gO8pKcAwfHIgKvhRD+8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=cITdM5GiyBDSzm18r2PKKvbYwC+WiGFpjutUYZExnnxcmdvuN0Ffif2FGwz4z7i6O
 kbgN4qkd/Prt4UUDbsqHva1zMJHWZvP4Y/680kAfdDCadOgjYf12OzI6cVZNRWoruM
 1OPVLkGlLYHEVYfpXLsP8s4gux9BXi/zzlnBGVHBallK3L8HwJm4pYMn6LHkGD++ki
 noKWt4y9YwUv3xRJM4hCwz8murbrNIcNE7YD4lfpZnntcgyMg/Wus69h8MQ6xncrDI
 Judm4V2uWfE7sZxHmCkZuBq7VnEhN6Kg7DCfikfkfgjAHWFpua68J6YAcf6I+9Ao+T
 Lq0OxSo5VRgHQ==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 4D71C24F66; Tue, 30 Apr 2019 22:55:56 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <877ebbxjlo.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 30 Apr 2019 14:34:59 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <m336lzxk57.fsf@HIDDEN>
 <877ebbxjlo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Tue, 30 Apr 2019 18:55:56 -0400
Message-ID: <m3r29jw1ab.fsf@HIDDEN>
Lines: 17
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

EA> Are you doing this with topic mode on or off?

Off


EA> ... could you edebug `gnus-group-prepare-flat' and see if anything
EA> is obviously taking a bunch of time?

I've not used edebug.  And nothing I tried at M-x did anything.

How does one edebug gnus-group-prepare-flat?

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 22:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 18:54:26 2019
Received: from localhost ([127.0.0.1]:42745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLbdq-0006wb-HX
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 18:54:26 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hLbdn-0006wQ-Pn
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 18:54:24 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id 2D23E1E18C; Tue, 30 Apr 2019 22:54:21 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1556664861;
 bh=W4SoWn6N8E8sNN4dSfZbIbLKbz4RxObmZLnB/IgTH18=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=En9tqdIT88UbUBP8++k0mSsMY9L0J8hRgjeJV6wppfU9qJTdBr+m6Z7AeERpmPUeK
 IfPayd9KAWhoTbwoiCjuiCtWXWlqmlhq50kmLG1OeaOVHDFQRcIgdTeMxdMTtgx2iq
 OIs9AGQTWxW9aAJgw+XKd6PEepzqARpFe4/BKiF/7duNb07RKekRXZXYj53uULSvAJ
 IGVD7rVrwKKrg3mBlatf7biAzPiNNKI2MUyoCF9cf5gib/3C8go5P1mPYQx5HUEJdh
 7GWyL+7EUCbmRQXwVWgQgCeISBkmYRG8DUDeXKahsNA9gLib/BxXy8qwld7mhTzYWo
 t0FoeohqHmIMg==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id AEB5124F66; Tue, 30 Apr 2019 22:54:14 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87bm0nxkb3.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 30 Apr 2019 14:19:44 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <87bm0nxkb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Tue, 30 Apr 2019 18:54:14 -0400
Message-ID: <m3wojbw1d5.fsf@HIDDEN>
Lines: 17
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

>> (fset 'gnus-group-get-new-groups
>> "1LFs1g1Ls")
>> 
>> (I never got around to replacing the saved keyboard macro with proper lisp.)

EA> Hang on, what is that supposed to do? That symbol has neither a function
EA> nor a variable definition for me here, on master.

Sorry.  I though that was enough to show that it is a named keyboard macro.

Just type those characters at the *Group* buffer.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 21:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 17:35:15 2019
Received: from localhost ([127.0.0.1]:42615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLaPC-000510-S1
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:35:15 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:54906
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hLaPA-00050g-Dj
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:35:13 -0400
Received: from localhost (50-251-205-17-static.hfc.comcastbusiness.net
 [50.251.205.17]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id B767DFA027;
 Tue, 30 Apr 2019 21:35:05 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
 <m336lzxk57.fsf@HIDDEN>
Date: Tue, 30 Apr 2019 14:34:59 -0700
In-Reply-To: <m336lzxk57.fsf@HIDDEN> (James Cloos's message of
 "Tue, 30 Apr 2019 17:23:16 -0400")
Message-ID: <877ebbxjlo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On 04/30/19 17:23 PM, James Cloos wrote:
> I found another bug from this change.
>
> (gnus-group-list-level) (A l or A L in the *Group* buffer) has become
> horribly slow and cpu intensive.
>
> It used to be simple and nearly instantaneous.
>
> All of the group-list functions MUST be fast.  None of them should
> require any significant work.

I'm not able to reproduce this, the list-level command is pretty much
instantaneous for me. Are you doing this with topic mode on or off? If
it's off, could you edebug `gnus-group-prepare-flat' and see if anything
is obviously taking a bunch of time?

I can't guess what would be slowing the process down that much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 21:23:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 17:23:28 2019
Received: from localhost ([127.0.0.1]:42592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLaDo-0004ij-CC
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:23:28 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hLaDl-0004iX-KO
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:23:26 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id BEE2B1E18C; Tue, 30 Apr 2019 21:23:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1556659402;
 bh=dPWsXFZsY5ED3DfCWgN2dxVSu6gU/HQvCOQ8UTFN0IU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=NMoCj0kTGzgJ7dyKRWgZIQNp1r/qt8QV5zlCzk1oz0pjpUnaSSUeUtKbuiWPlsGNE
 F3RJiQMK5i2EAU0buiD/LAyx+bVyAdZxFAXBZG4uWqGM+LUDe9Onej1yA5fBH8KIOD
 mCvju9rakHflAYMefn5kUkOyZZz1EW8beT8/wTA61ZCl0qXGdbph4CANmPuTvyTPX8
 pRLtnXPF3zhagTMbq+k7DXPxJViGrWAXY3mSIM0AhoK+Dd8B4IGJF8yerX0nC9EChC
 EkJVihFALTnItRb1OdQ+3XMvrc7WDX7Ubd2ktyfxDcQto8LQwTCmmzT4OiR1DKRJGR
 y35nU4spgGEMg==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 500DF24F66; Tue, 30 Apr 2019 21:23:16 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <m3k1fbxs17.fsf@HIDDEN> (James Cloos's message of
 "Tue, 30 Apr 2019 14:32:52 -0400")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Tue, 30 Apr 2019 17:23:16 -0400
Message-ID: <m336lzxk57.fsf@HIDDEN>
Lines: 13
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I found another bug from this change.

(gnus-group-list-level) (A l or A L in the *Group* buffer) has become
horribly slow and cpu intensive.

It used to be simple and nearly instantaneous.

All of the group-list functions MUST be fast.  None of them should
require any significant work.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 21:19:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 17:19:57 2019
Received: from localhost ([127.0.0.1]:42583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLaAP-0004cp-Is
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:19:57 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:54568
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hLaAM-0004ca-Cx
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 17:19:55 -0400
Received: from localhost (50-251-205-17-static.hfc.comcastbusiness.net
 [50.251.205.17]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 68BD7FA027;
 Tue, 30 Apr 2019 21:19:47 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
 <m3k1fbxs17.fsf@HIDDEN>
Date: Tue, 30 Apr 2019 14:19:44 -0700
In-Reply-To: <m3k1fbxs17.fsf@HIDDEN> (James Cloos's message of
 "Tue, 30 Apr 2019 14:32:52 -0400")
Message-ID: <87bm0nxkb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On 04/30/19 14:32 PM, James Cloos wrote:
>>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
>
> EA> Would you try this again? I've installed some relevant fixes, including
> EA> to sorting, and it's behaving stably for me now.
>
> I'm running it now.
>
> The only remaining issue I've spotted is when grabbing new groups from
> the imap server.
>
> Given:
>
>   (setq gnus-level-default-subscribed 1)
>   
> and this:
>
> (fset 'gnus-group-get-new-groups
>    "1LFs1g1Ls")
>
> (I never got around to replacing the saved keyboard macro with proper lisp.)

Hang on, what is that supposed to do? That symbol has neither a function
nor a variable definition for me here, on master.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 30 Apr 2019 18:33:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 30 14:33:03 2019
Received: from localhost ([127.0.0.1]:42395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hLXYs-0000Ib-SA
	for submit <at> debbugs.gnu.org; Tue, 30 Apr 2019 14:33:03 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hLXYr-0000IC-5Q
 for 35130 <at> debbugs.gnu.org; Tue, 30 Apr 2019 14:33:02 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id B86031E045; Tue, 30 Apr 2019 18:32:58 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1556649178;
 bh=AEmrAx9Ra5CFCH0XzCqZy8+Wn4MK+WhrLjhkirLOjCs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=TE2h4V5BhQpBCtopZ4kO+ty3MtcQo5HwgMNxnMKzkqUJCGZLwLIciWbpq2V9pc/U9
 9XY5mSFhMHmzTn4LKlGe94kXuesqVyyqd77Ag5OUtUzP8/wPG5/4lLxMijAoUllY2d
 pkrEmj6RBXW8a2Qz23j02/e8anHzGhAWPesYlwo4KzAYJHNyZ+ezh2ztwtypLjU0lS
 0v3LhUa93Eu0SHOzr7cmSEcFfntEvjRrGGiPRUKs1eX2OCbKIsgn/hZ36c8UWXwebs
 639e1iQL5lkZlJeiAuPSY0oS33OOtvfzAKRq11qFWq0qgzkLebWiqfA+49CNtQ61fk
 1fmINGM0gEObA==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 4149A24F66; Tue, 30 Apr 2019 18:32:52 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87imv78ctz.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sun, 21 Apr 2019 10:53:12 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Tue, 30 Apr 2019 14:32:52 -0400
Message-ID: <m3k1fbxs17.fsf@HIDDEN>
Lines: 29
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

EA> Would you try this again? I've installed some relevant fixes, including
EA> to sorting, and it's behaving stably for me now.

I'm running it now.

The only remaining issue I've spotted is when grabbing new groups from
the imap server.

Given:

  (setq gnus-level-default-subscribed 1)
  
and this:

(fset 'gnus-group-get-new-groups
   "1LFs1g1Ls")

(I never got around to replacing the saved keyboard macro with proper lisp.)

Then after running (gnus-group-get-new-groups) in the Groups buffer the
new groups should all be level 1 and sorted alphabetically.

That no longer works.  They still are level 1, but now are sorted randomly.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 22 Apr 2019 13:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 09:11:53 2019
Received: from localhost ([127.0.0.1]:50173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIYjg-0006YO-S3
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:11:53 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:43154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hIYjd-0006YF-Uy
 for 35130 <at> debbugs.gnu.org; Mon, 22 Apr 2019 09:11:50 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id A95521E0E0; Mon, 22 Apr 2019 13:11:45 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1555938705;
 bh=AoW3PnBhYeo/rdAXNMp9Yc0abaO5bkzxFety+U/oSPY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=nC17p0frW2H+JRVOUizw494IL4kbW4QEIAm99iPwV/Oez2bXg1aLNTRoA0g6XNDY/
 PiSaaEphTE3/a5UhleZkG3mnMod5Yoq+h7wASaXgSLWtXoaQJcRYPwdIBryKsbntHn
 /deRnBM7HOiyZv0QbMj5V4Ljp/c7XI3Gnu3HXgt4t3q9G3Y+XqUCHV3mRXzoC/rNVZ
 UMbZnQPtWJ8XcNAscYgEF/ueHWP2/EEuV+qC87rb9EVWN4iigl3U/HE9NLK3HYHq78
 BYkGWdgWoILYuMLFfEURq8evXNZZZvsu/EaA+rlodpzTVqutUExjMSK8j/WoBUOglU
 l2cbQqdEzMi0g==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id CE23D24F75; Mon, 22 Apr 2019 13:11:38 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87imv78ctz.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sun, 21 Apr 2019 10:53:12 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
 <87imv78ctz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Mon, 22 Apr 2019 09:11:38 -0400
Message-ID: <m3o94ygp6d.fsf@HIDDEN>
Lines: 10
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

EA> Would you try this again? I've installed some relevant fixes,
EA> including to sorting, and it's behaving stably for me now.

I'll (try to :) try it out next weekend.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 21 Apr 2019 17:53:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 21 13:53:23 2019
Received: from localhost ([127.0.0.1]:49030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hIGeY-0002Sl-V1
	for submit <at> debbugs.gnu.org; Sun, 21 Apr 2019 13:53:23 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:43524
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hIGeX-0002SW-E3
 for 35130 <at> debbugs.gnu.org; Sun, 21 Apr 2019 13:53:22 -0400
Received: from localhost (75-172-115-9.tukw.qwest.net [75.172.115.9])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id CBA65FA05C;
 Sun, 21 Apr 2019 17:53:13 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
 <m3k1fxtcxc.fsf@HIDDEN>
Date: Sun, 21 Apr 2019 10:53:12 -0700
In-Reply-To: <m3k1fxtcxc.fsf@HIDDEN> (James Cloos's message of
 "Sun, 14 Apr 2019 00:42:55 -0400")
Message-ID: <87imv78ctz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

James Cloos <cloos@HIDDEN> writes:

>>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
> EA> When you have time, would you pull from master and try again? I think
> EA> this ought to be fixed now.
>
> As of commit f9694a713824d402bcba01064ac2f95156bf4161 gnus remains unusable.
>
> It was OK at first, but after adding the latest new imap group and
> trying to sort everything broke.
>
> It is completely unable to sort.  Not by name, level, method, etc.  The
> results look like they follow a hash order rather than the required
> alphabetic order.
>
> And after "sorting" it cannot save.

Would you try this again? I've installed some relevant fixes, including
to sorting, and it's behaving stably for me now.

> Gnus suffers greatly from inefficiency. If your ideas can make it
> faster I am all for them.  But it seems the changes need to be backed
> out and done in a branch before they are ready for consumption.

I think it may be a bit too late for that. It needed more testing,
that's for sure, and I apologize for making Gnus unresponsive. But what
appears to be fairly catastrophic failure at this point is actually
caused by fairly small bugs. The changes were done in a branch; my
mistake was in not getting more volunteer road-testers. I won't make
that mistake again.

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 14 Apr 2019 04:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 00:43:15 2019
Received: from localhost ([127.0.0.1]:59653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFWz0-0002uY-Nh
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 00:43:15 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:42600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hFWyy-0002uP-Od
 for 35130 <at> debbugs.gnu.org; Sun, 14 Apr 2019 00:43:09 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id 338CB1F8D6; Sun, 14 Apr 2019 04:43:02 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1555216982;
 bh=+vwifAv3YhIPZbTJ91p7Hcnm9rOc3z+1b5HWY7r1wKE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=me9oubUqrBklYKIKOCLXoCwJG9uxdKHbuKaG/gKGWLefTsribYAPbkl+6pgczcR0t
 DJ05yYg+cLDvXf+SK9EY4v0QNd7ITOlGymwwWQltxPiW9mJued9QdnSCNHjxdo+hKE
 JG/rEtDzE5TmCRF3uLB//kN7wIH/Sro1GVlHHrTTooqRJTEPTandgvm7KUgb4T94E6
 /R4owK/MY0QoKiLlOslF4Yjwo7LykwpEMGMcbT8+e5kPqtxEp6Ey+e8k2IzhcWmxP3
 rCMiwbRGhfZGgCuz8j2ib0YgJa423bVy5TfViMtBuieolRRtKVPdn+8KJgv5Kj0VGl
 efqjOt5D8nEaw==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id B28A224F76; Sun, 14 Apr 2019 04:42:55 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <m3tvf6dt1h.fsf@HIDDEN> (James Cloos's message of
 "Wed, 10 Apr 2019 07:00:10 -0400")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
 <m3tvf6dt1h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Sun, 14 Apr 2019 00:42:55 -0400
Message-ID: <m3k1fxtcxc.fsf@HIDDEN>
Lines: 22
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:
EA> When you have time, would you pull from master and try again? I think
EA> this ought to be fixed now.

As of commit f9694a713824d402bcba01064ac2f95156bf4161 gnus remains unusable.

It was OK at first, but after adding the latest new imap group and
trying to sort everything broke.

It is completely unable to sort.  Not by name, level, method, etc.  The
results look like they follow a hash order rather than the required
alphabetic order.

And after "sorting" it cannot save.

Gnus suffers greatly from inefficiency.  If your ideas can make it
faster I am all for them.  But it seems the changes need to be backed
out and done in a branch before they are ready for consumption.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 10 Apr 2019 11:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 07:00:27 2019
Received: from localhost ([127.0.0.1]:52415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEAxv-0006wE-49
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 07:00:27 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:42454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hEAxt-0006w3-4U
 for 35130 <at> debbugs.gnu.org; Wed, 10 Apr 2019 07:00:26 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id 051161E474; Wed, 10 Apr 2019 11:00:17 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1554894018;
 bh=U8SZbZqeFJeCwn9Z0awAHxsSp59mbilL36pVy8sv83M=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=MurjjIiTptj1DabRUBaaPllVBsORdaXHtwF8WwDzCvebFC/hNyw5H5ZMmpVYoHsn6
 KrR5gJmkR/J6d3u3Fuj+lbiFU13BEi4WQOeAswH0SOIrDRKINo55EsF0dBYgYo9jxn
 1UAiKdsaWY1vHcFS++4swhRhUr8TlJE9a6riz/A+jT7hHw948NLeqfEITOU9c05y4o
 NHP8Dx1SA+WkrPhORmKDhW0U6jtY0fX1jQvfkQO/DiBpxUcLfxJW4s9jiGMNyFhGKe
 ZFRfWhg88Z2JkIz6kOl3HlALv3L93w46yMRlu1Avs5AZLISzU8D6h2rQ4IsR0Kn8dM
 sQduFmcF3Ms5w==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 177D2E418; Wed, 10 Apr 2019 11:00:10 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87bm1fdn39.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 09 Apr 2019 11:56:26 -0700")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
 <87bm1fdn39.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Wed, 10 Apr 2019 07:00:10 -0400
Message-ID: <m3tvf6dt1h.fsf@HIDDEN>
Lines: 10
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "EA" == Eric Abrahamsen <eric@HIDDEN> writes:

EA> When you have time, would you pull from master and try again? I think
EA> this ought to be fixed now.

I'll give it a try this weekend.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 9 Apr 2019 18:56:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 14:56:36 2019
Received: from localhost ([127.0.0.1]:51980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDvvA-0001cK-ME
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2019 14:56:36 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:47486
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hDvv7-0001c3-Ni
 for 35130 <at> debbugs.gnu.org; Tue, 09 Apr 2019 14:56:35 -0400
Received: from localhost (97-113-35-98.tukw.qwest.net [97.113.35.98])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id AB498FA05B;
 Tue,  9 Apr 2019 18:56:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ericabrahamsen.net;
 s=mail; t=1554836188;
 bh=JdWcjkHjc/4XpPbjrdq9Ze1QVge4V57XydMqWZd4koE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=zK+SgrFTc99Omo4X5/ee8pqImn3yvN9dsSnD/g8T8A86ZZGzbxVCGxfp1dc2SO/po
 zSWwZkt/yBvUWczo0gqfavJbD13qOdPV4jhlM3bZk3Sy19w+3MLYYlI/dH0pCnfYRF
 pNFQjpRxLHV215kBw5+MSxpR1nf3EV7zu300m19k=
From: Eric Abrahamsen <eric@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
 <m3a7h5wjrv.fsf@HIDDEN>
Date: Tue, 09 Apr 2019 11:56:26 -0700
In-Reply-To: <m3a7h5wjrv.fsf@HIDDEN> (James Cloos's message of
 "Thu, 04 Apr 2019 17:19:32 -0400")
Message-ID: <87bm1fdn39.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

James Cloos <cloos@HIDDEN> writes:

>>>>>> "BC" == Basil L Contovounesios <contovob@HIDDEN> writes:
>
> BC> Could this be related to bug#34983?
> BC> https://debbugs.gnu.org/34983
>
> It is likely related.  Not exactly the same, but similar.
>
> BC> Does the error still occur after a 'make bootstrap'?
>
> All of my builds are done from fresh clones, so bootstrap occurs every
> time.
>
>
> I was unable to find a working commit near tip, so fell back to my lask
> known working commit (5f640bfdf84753322763be23ebaa8ded92dc1c5d) to get
> a working gnus.
>
> Given how long gnus requires to start, I won't be able to attempt a
> bisect until the weekend.  And even then it might take multiple weekends.

When you have time, would you pull from master and try again? I think
this ought to be fixed now.

Thanks,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 4 Apr 2019 21:19:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 04 17:19:45 2019
Received: from localhost ([127.0.0.1]:44757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hC9lw-0003T0-Uu
	for submit <at> debbugs.gnu.org; Thu, 04 Apr 2019 17:19:45 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:42152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hC9lt-0003Sp-Ix
 for 35130 <at> debbugs.gnu.org; Thu, 04 Apr 2019 17:19:42 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id C94C81DF72; Thu,  4 Apr 2019 21:19:38 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1554412778;
 bh=AHa6UAFv6kNFGvW4/vIBfS8nt+54JSQLsJh4VVWrEfc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=Tdw0fJ/x7qDGsKV+uHDx0TgrgfnvVaZGFGBMkPIyj6+Oj7mML2+GRREyyBY4nrXbf
 ZciyxBPh4AcC1+/SQ4DHkx6XB9gvTGi+1bBKjRm/lzu+CYW0nvuWKBp+fG1SLbWiL1
 U3UZLXQK/rina4PQ80pOay/FyBib6Dg2DEk7+uwRYwFlOprgE4J85AbF2aESoyXseQ
 iKK/1Es5pM3CrNkAHfI1JE9BTxtOJtmoySZL0dW+n90lV/QoN/IbLAoHG2kUaYsr2h
 uKQ3/zueOXSOfCACtgWy46KPPRbq/ajq0QNlWR9ysA0CcL/Yh80LBe9qngxako6PSC
 2Sg4pOagKpGVQ==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 54E1A24F75; Thu,  4 Apr 2019 21:19:32 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: 35130 <at> debbugs.gnu.org
Subject: Re: bug#35130: 27.0.50; gnus cannot save
In-Reply-To: <87r2aipxgj.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Wed, 03 Apr 2019 22:53:32 +0100")
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Thu, 04 Apr 2019 17:19:32 -0400
Message-ID: <m3a7h5wjrv.fsf@HIDDEN>
Lines: 23
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "BC" == Basil L Contovounesios <contovob@HIDDEN> writes:

BC> Could this be related to bug#34983?
BC> https://debbugs.gnu.org/34983

It is likely related.  Not exactly the same, but similar.

BC> Does the error still occur after a 'make bootstrap'?

All of my builds are done from fresh clones, so bootstrap occurs every
time.


I was unable to find a working commit near tip, so fell back to my lask
known working commit (5f640bfdf84753322763be23ebaa8ded92dc1c5d) to get
a working gnus.

Given how long gnus requires to start, I won't be able to attempt a
bisect until the weekend.  And even then it might take multiple weekends.

-JimC
-- 
James Cloos <cloos@HIDDEN>         OpenPGP: 0x997A9F17ED7DAEA6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 3 Apr 2019 22:43:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 18:43:30 2019
Received: from localhost ([127.0.0.1]:43403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBobS-0005k6-1l
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 18:43:30 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:33860
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1hBobP-0005jr-ST
 for 35130 <at> debbugs.gnu.org; Wed, 03 Apr 2019 18:43:28 -0400
Received: from localhost (75-151-119-142-Washington.hfc.comcastbusiness.net
 [75.151.119.142]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id D13DAFA594;
 Wed,  3 Apr 2019 22:43:21 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ericabrahamsen.net;
 s=mail; t=1554331402;
 bh=bvPSEYVCLyhTuVAE5ZWmw2Et/4FnBGfK4IlFgb2JCpI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=LFm8fg5fKug6evD/PgAgg8IQrWo1acpeG2eHp2gvdMdy+fBCUrNDwgqficAs9AgKP
 fM1yLtNbV+aBmyaR/2k2sNn8+C041lBeQQVSNlZESwVq96H6nUtsKv75wYhhW3ooRP
 cPdye8lfcHWN5VcTqPnXELggUfaH+hBzkPDYLJxQ=
From: Eric Abrahamsen <eric@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN> <87r2aipxgj.fsf@HIDDEN>
Date: Wed, 03 Apr 2019 15:43:19 -0700
In-Reply-To: <87r2aipxgj.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Wed, 03 Apr 2019 22:53:32 +0100")
Message-ID: <871s2iu2uw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org, James Cloos <cloos@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> James Cloos <cloos@HIDDEN> writes:
>
>> As of master commit 39c0795ef2d592d4632516ee57f1cf51a2159608 gnus is
>> unable to save.
>>
>> The error (w/ debug-on-error t) is:
>>
>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>   gnus-gnus-to-newsrc-format()
>>   gnus-save-newsrc-file(nil)
>>   gnus-group-save-newsrc(nil)
>>   funcall-interactively(gnus-group-save-newsrc nil)
>>   call-interactively(gnus-group-save-newsrc nil nil)
>>   command-execute(gnus-group-save-newsrc)
>>
>> I also got that error a few times while trying to sort the *Group*
>> buffer, but then that started working.
>>
>> Saving has not started working.
>>
>> At a quick look of the recent history, commits
>> a09306d53ba86b4596219b2be723659f7c0f2669 and
>> a8efdd4c62fbf9c275a57f71cc8a3ca845ad3b1f look relevant.
>
> Could this be related to bug#34983?
> Does the error still occur after a 'make bootstrap'?
>
> https://debbugs.gnu.org/34983

This sounds more similar to something that Bastien Guerry reported -- I
think it's all part of the same basic error, but probably won't be
solved by a "make bootstrap" (though it can't hurt to try)...

Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at 35130 <at> debbugs.gnu.org:


Received: (at 35130) by debbugs.gnu.org; 3 Apr 2019 21:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 17:53:42 2019
Received: from localhost ([127.0.0.1]:43354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBnpG-0004VK-D1
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 17:53:42 -0400
Received: from mail-ed1-f54.google.com ([209.85.208.54]:39585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hBnpE-0004V7-9S
 for 35130 <at> debbugs.gnu.org; Wed, 03 Apr 2019 17:53:41 -0400
Received: by mail-ed1-f54.google.com with SMTP id p20so297224eds.6
 for <35130 <at> debbugs.gnu.org>; Wed, 03 Apr 2019 14:53:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=VJ3eU5SQWVG7Gbnh7Fz5P5Er8zmBhVZhX9Ek3ceseQs=;
 b=VNWTE4Y1DjFPsRrOb3ZK1VCWLiJjMX+KRCYNiiVVPsbj2VcKTmBeisstYblC7gW1RL
 FIWT/3Nn3gRpfd9KOoguF7QWBtVRf3mNfM19BHyvjxkDNs094SbhYoa0Prj9WE629zOg
 ABpPyp5uUmQqX4aK7qT8xrpdRdnN587Nb6VusQYOwu7JPxYAJUiXQjJ7iwGQXHJid6dX
 a3HCIC/6o5FqJ0JEwI6iw30w3Lsi4D/NV7YZSvwD0uL2lvAbuW1bI+JVFSe1uT2pa7SL
 LgCcar4va+YpGzVpGPYW08LCmWkY8MKua7fVCpaDAxEO1kG81tXtxWQIJ8Uxx6LpiWZh
 LZ0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=VJ3eU5SQWVG7Gbnh7Fz5P5Er8zmBhVZhX9Ek3ceseQs=;
 b=Iiy8aF0AT7yk6RfaP+rxQQpchs+dXd5ZxhA9YFMFtMQ1g2+MXmT3pbpokw/t8flbKS
 Znsa/crJsakC5iZKI7nNePWnPU47SMBMf+i/yh00c9ANl3YmubvOP6Qx4KxjXudCAqN0
 pupLw01mA+OvsN35LsQNMniEFx9/P/ymqYjBcyzu2CCnoiIFdyDU3/plnZuMzUz9BokJ
 xNW3GUCIfHniE6YJHmki1nqwudWV7Om1zgC1GDsbytoBYBVSVOo5yHgKI/eGdhSjAQrq
 31kbqTt+IZE4RrFqtuHkNMqiluvGEnIPPhau3hpNXLAl5vxkWXkjJP1Cr2x3ToFaKG6N
 GTtA==
X-Gm-Message-State: APjAAAVn+zazGG9hIU1QoFN9x+u3EMKRzz4vymRBnPGg36+iT6iOq/Sk
 WrV9NXC4Iqacp4+q+XkRVtpFfQ==
X-Google-Smtp-Source: APXvYqz5IYr14vesRFPZ8iRQG8RHyGg6/VV1Eu5FnO9qtlIsPRmdnqBzxGEzNzOqSlSmuZ3AD74f8g==
X-Received: by 2002:a50:b664:: with SMTP id c33mr1250701ede.256.1554328414282; 
 Wed, 03 Apr 2019 14:53:34 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:f786:805d:f4ab:1006])
 by smtp.gmail.com with ESMTPSA id y27sm3477626edb.67.2019.04.03.14.53.33
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Wed, 03 Apr 2019 14:53:33 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: James Cloos <cloos@HIDDEN>
Subject: Re: bug#35130: 27.0.50; gnus cannot save
References: <m3o95mssq9.fsf@HIDDEN>
Date: Wed, 03 Apr 2019 22:53:32 +0100
In-Reply-To: <m3o95mssq9.fsf@HIDDEN> (James Cloos's message of
 "Wed, 03 Apr 2019 17:07:26 -0400")
Message-ID: <87r2aipxgj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35130
Cc: 35130 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

James Cloos <cloos@HIDDEN> writes:

> As of master commit 39c0795ef2d592d4632516ee57f1cf51a2159608 gnus is
> unable to save.
>
> The error (w/ debug-on-error t) is:
>
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   gnus-gnus-to-newsrc-format()
>   gnus-save-newsrc-file(nil)
>   gnus-group-save-newsrc(nil)
>   funcall-interactively(gnus-group-save-newsrc nil)
>   call-interactively(gnus-group-save-newsrc nil nil)
>   command-execute(gnus-group-save-newsrc)
>
> I also got that error a few times while trying to sort the *Group*
> buffer, but then that started working.
>
> Saving has not started working.
>
> At a quick look of the recent history, commits
> a09306d53ba86b4596219b2be723659f7c0f2669 and
> a8efdd4c62fbf9c275a57f71cc8a3ca845ad3b1f look relevant.

Could this be related to bug#34983?
Does the error still occur after a 'make bootstrap'?

https://debbugs.gnu.org/34983

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2019 21:08:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 17:08:05 2019
Received: from localhost ([127.0.0.1]:43315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hBn76-0001N5-Mw
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 17:08:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cloos@HIDDEN>) id 1hBn72-0001MZ-Tm
 for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 17:08:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:35452)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cloos@HIDDEN>) id 1hBn6w-00008N-7l
 for submit <at> debbugs.gnu.org; Wed, 03 Apr 2019 17:07:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39875)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cloos@HIDDEN>) id 1hBn6t-00080G-Sq
 for bug-gnu-emacs@HIDDEN; Wed, 03 Apr 2019 17:07:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cloos@HIDDEN>) id 1hBn6s-0008Ue-1o
 for bug-gnu-emacs@HIDDEN; Wed, 03 Apr 2019 17:07:51 -0400
Received: from ore.jhcloos.com ([192.40.56.151]:46816)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cloos@HIDDEN>) id 1hBn6q-0008CL-GK
 for bug-gnu-emacs@HIDDEN; Wed, 03 Apr 2019 17:07:49 -0400
Received: by ore.jhcloos.com (Postfix, from userid 10)
 id DC4EB1E01E; Wed,  3 Apr 2019 21:07:32 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jhcloos.com;
 s=ore17; t=1554325652;
 bh=59H4bKplNuHmSGNINM1CyZuYMgAte1j1thim+CqmzNs=;
 h=From:To:Subject:Date:From;
 b=PPN6oDaJXJpUFa1ZIPOzRgZEjcwu8aIa/yIHW/IHAnXXQf9uTsqdLizciFnV3MPwp
 wgqR3KKZ532Cx4G4qCgQFZIQObE+Aer1GN+NpbldgPPCuuXlnZ/CTBXUXicmMWth7j
 gON2Q4Nr1zT/Q+K/NtE15TMnfBjtUkXCeUemjL1mJUYjyaXsYomPxmrpNKdUda7Ytb
 8w4JP5CyKBMEdhbGtBiZ+AlXQYhUGW731y8A9oGIt0+dVIrH7f+62Y9cuf04h3MD7m
 dXNQzYCQ+5+xHOr1h71j7MEqObXqD7NrTgnc5vQbad+o2rrMjIDQhLa3JXyB28iidm
 /788J2aaaiOdg==
Received: by carbon.jhcloos.org (Postfix, from userid 500)
 id 6FA6224F66; Wed,  3 Apr 2019 21:07:26 +0000 (UTC)
From: James Cloos <cloos@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; gnus cannot save
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAACVBMVEX///8ZGXBQKKnCrDQ3
 AAAAJElEQVQImWNgQAAXzwQg4SKASgAlXIEEiwsSIYBEcLaAtMEAADJnB+kKcKioAAAAAElFTkSu
 QmCC
Copyright: Copyright 2019 James Cloos
OpenPGP: 0x997A9F17ED7DAEA6;
 url=https://jhcloos.com/public_key/0x997A9F17ED7DAEA6.asc
OpenPGP-Fingerprint: E9E9 F828 61A4 6EA9 0F2B  63E7 997A 9F17 ED7D AEA6
Date: Wed, 03 Apr 2019 17:07:26 -0400
Message-ID: <m3o95mssq9.fsf@HIDDEN>
Lines: 164
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 192.40.56.151
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)


As of master commit 39c0795ef2d592d4632516ee57f1cf51a2159608 gnus is
unable to save.

The error (w/ debug-on-error t) is:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  gnus-gnus-to-newsrc-format()
  gnus-save-newsrc-file(nil)
  gnus-group-save-newsrc(nil)
  funcall-interactively(gnus-group-save-newsrc nil)
  call-interactively(gnus-group-save-newsrc nil nil)
  command-execute(gnus-group-save-newsrc)

I also got that error a few times while trying to sort the *Group*
buffer, but then that started working.

Saving has not started working.

At a quick look of the recent history, commits
a09306d53ba86b4596219b2be723659f7c0f2669 and
a8efdd4c62fbf9c275a57f71cc8a3ca845ad3b1f look relevant.


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2019-04-03 built on carbon.jhcloos.org
Repository revision: 39c0795ef2d592d4632516ee57f1cf51a2159608
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11699901
System Description: Gentoo/Linux

Recent messages:
Proceeding, will debug on next eval or call.
Entering debugger...
Proceeding, will debug on next eval or call.
Entering debugger...
Continuing.
Entering debugger...
Continuing.
Entering debugger...
Continuing.
Auto-saving...

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-silent-rules
 --docdir=/usr/share/doc/emacs-vcs-27.0.9999
 --htmldir=/usr/share/doc/emacs-vcs-27.0.9999/html --libdir=/usr/lib64
 --program-suffix=-emacs-27-vcs --includedir=/usr/include/emacs-27-vcs
 --infodir=/usr/share/info/emacs-27-vcs --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-file-notification=inotify --enable-acl --with-dbus
 --without-modules --with-gameuser=:gamestat --with-gpm --with-json
 --with-kerberos --with-kerberos5 --with-lcms2 --with-xml2
 --without-mailutils --without-selinux --with-gnutls
 --without-libsystemd --with-threads --without-wide-int --with-zlib
 --with-sound=alsa --with-x --without-ns --without-gconf --with-libgmp
 --without-gsettings --with-toolkit-scroll-bars --with-gif --with-jpeg
 --with-png --with-rsvg --with-tiff --with-xpm --with-imagemagick
 --with-xft --without-cairo --with-libotf --with-m17n-flt
 --with-x-toolkit=lucid --with-xaw3d 'CFLAGS=-pipe -O2 -g3
 -march=native' CPPFLAGS= LDFLAGS=-Wl,-O1'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_TIME: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  show-paren-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/graphviz-dot-mode/graphviz-dot-mode hides /home/cloos/elisp/graphviz-dot-mode
/usr/share/emacs/site-lisp/git/git hides /home/cloos/elisp/git
/usr/share/emacs/site-lisp/git/git-blame hides /home/cloos/elisp/git-blame
/usr/share/emacs/site-lisp/fricas/fricas hides /home/cloos/elisp/fricas
/usr/share/emacs/site-lisp/auctex/context hides /home/cloos/elisp/context
/home/cloos/elisp/json hides /usr/share/emacs/27.0.50/lisp/json
/home/cloos/elisp/doc-view hides /usr/share/emacs/27.0.50/lisp/doc-view

Features:
(shadow emacsbug two-column iso-transl macros kmacro misearch
multi-isearch cl-print cus-edit help-fns radix-tree flow-fill sendmail
gnus-fun nnir qp cl-extra sort url-util shr-color color shr svg xml dom
gnus-cite mm-archive mail-extr face-remap gnus-async quilt gnus-kill
gnus-ml disp-table nndraft nnmh utf-7 nnml gnutls nnmaildir vc-filewise
vc-rcs network-stream nsm gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig
mailcap nntp gnus-cache gnus-sum gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int
gnus-range message rmc puny dired dired-loaddefs rfc822 mml mml-sec epa
derived epg mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search time-date
mail-utils wid-edit elec-pair jka-compr mm-util mail-prsvr paren time
delsel cus-start cus-load jhc-backend-xft-fonts w3m-load preview-latex
mmm-auto mmm-vars mmm-compat ido ess-toolbar ess-mouse mouseme thingatpt
browse-url ess-swv ess-noweb ess-noweb-font-lock-mode ess-bugs-l
ess-sas-d ess-sas-l ess-sas-a ess-stata-mode ess-stata-lang cc-vars
cc-defs make-regexp essd-els ess-sp6-d ess-dde ess-sp3-d ess-julia
julia-mode ert pp ewoc debug backtrace help-mode find-func ess-r-mode
ess-r-package ess-r-syntax ess-r-completion ess-roxy essddr ess-rd
noutline outline easy-mmode hideshow ess-s-lang ess-help ess ess-mode
ess-noweb-mode ess-inf ess-tracebug compile tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat ucs-normalize shell
pcomplete comint ansi-color ring parse-time format-spec advice
ess-generics cl ess-custom executable ess-compat ess-utils ess-site
bbdb-loaddefs auto-loads tex-site finder-inf package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 4468393 10534538)
 (symbols 48 31753 855)
 (strings 32 573556 221935)
 (string-bytes 1 20861193)
 (vectors 16 60725)
 (vector-slots 8 1473206 158906)
 (floats 8 431 504)
 (intervals 56 5852 779)
 (buffers 992 52))




Acknowledgement sent to James Cloos <cloos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35130; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 27 Sep 2019 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.